Subject: Re: linux-next: duplicate patches in the nvmem tree

From: Greg KH <[email-masked]>
Date: Mon, 18 Dec 2023 11:26:55 +0100

On Mon, Dec 18, 2023 at 04:12:38PM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> The following commits are also in Linus Torvalds' tree as different
> commits (but the same patches):
> 
>   82c6ba6a7d96 ("nvmem: brcm_nvram: store a copy of NVRAM content")
>   a9d68bd9fc7a ("nvmem: stm32: add support for STM32MP25 BSEC to control OTP data")
>   5bc8339a8af8 ("dt-bindings: nvmem: add new stm32mp25 compatible for stm32-romem")
>   6deccfa25e3d ("dt-bindings: nvmem: mxs-ocotp: Document fsl,ocotp")
>   e15e05ed845a ("nvmem: core: Expose cells through sysfs")
>   38ebc72019b9 ("ABI: sysfs-nvmem-cells: Expose cells through sysfs")
>   fc334e722496 ("nvmem: core: Rework layouts to become regular devices")
>   d5827449f96c ("nvmem: Move and rename ->fixup_cell_info()")
>   52be3c1543c4 ("nvmem: Simplify the ->add_cells() hook")
>   26378491d343 ("nvmem: Create a header for internal sharing")
>   c016e72f9346 ("nvmem: Move of_nvmem_layout_get_container() in another header")
>   0e7ceb1551ee ("of: device: Export of_device_make_bus_id()")
> 
> These are commits
> 
>   1e37bf84afac ("nvmem: brcm_nvram: store a copy of NVRAM content")
>   f0ac5b230396 ("nvmem: stm32: add support for STM32MP25 BSEC to control OTP data")
>   a729c0f57dc8 ("dt-bindings: nvmem: add new stm32mp25 compatible for stm32-romem")
>   a2a8aefecbd0 ("dt-bindings: nvmem: mxs-ocotp: Document fsl,ocotp")
>   0331c611949f ("nvmem: core: Expose cells through sysfs")
>   192048e5a5b6 ("ABI: sysfs-nvmem-cells: Expose cells through sysfs")
>   fc29fd821d9a ("nvmem: core: Rework layouts to become regular devices")
>   1172460e7167 ("nvmem: Move and rename ->fixup_cell_info()")
>   1b7c298a4ecb ("nvmem: Simplify the ->add_cells() hook")
>   ec9c08a1cb8d ("nvmem: Create a header for internal sharing")
>   4a1a40233b4a ("nvmem: Move of_nvmem_layout_get_container() in another header")
>   7f38b70042fc ("of: device: Export of_device_make_bus_id()")
> 
> in the char-misc tree.

That's because the nvmem maintainer sent these to me for inclusion, odd.

greg k-h